{% assign html_instagram_posts = '' %}
{% assign count = 0 %}

{% load_posts from: 'instagram' %}

{% for post in loaded_posts %}
  
  {% if count == 5 %}
    {% break %}
  {% endif %}

  {% unless post.image contains '.mp4' %}
    {% unless post.permalink == null %}
      {% unless post.permalink contains 'reel' %}
        {% capture html_instagram_posts %}
          {{ html_instagram_posts }}
          <div class="post">
            <a href="{{ post.permalink }}" rel="external" target="_blank" class="link">
              <figure class="image -square">
                <img class="lazy" loading="lazy" data-src="{{ post.image }}" alt="{{ post.title }}" />
              </figure>
              {% unless mobile %}
                <div class="overlay">
                  <svg>
                    <use xlink:href="#icon-instagram"></use>
                  </svg>
                </div>
              {% endunless %}
            </a>
          </div>
        {% endcapture %}
        {% assign count = count | plus: 1 %}
      {% endunless %}
    {% endunless %}
  {% endunless %}
{% endfor %}

{% comment %} Placeholders para staging {% endcomment %}
{% if html_instagram_posts == blank and environment != 'production' %}
  {% capture html_instagram_posts %}
    {% for i in (1..6) %}
      <div class="post">
        <a href="#" class="link">
          <figure class="image -square">
            <img class="lazy" loading="lazy" data-src="https://picsum.photos/400" alt="Placeholder instagram" />
          </figure>
          {% unless mobile %}
            <div class="overlay">
              <svg>
                <use xlink:href="#icon-instagram"></use>
              </svg>
            </div>
          {% endunless %}
        </a>
      </div>
    {% endfor %}
  {% endcapture %}
{% endif %}

{% if html_instagram_posts != blank %}
  <section class="section-instagram">

    {% load_banners position: 'home-instagram-texto' limit: 1 %}
    {% for banner in loaded_banners %}
      
      {% comment %} Titulo e botão {% endcomment %}
      {% if banner.subtitle != blank %}
        <div class="text container">
          
          {% if banner.subtitle != blank %}
            {% assign section_title = banner.subtitle %}
            {% assign button_text = 'Seguir +' %}

            {% if banner.subtitle contains '|' %}
              {% assign section_title = banner.subtitle | split: '|' | first %}
              {% assign button_text = banner.subtitle | split: '|' | last %}
            {% endif %}

            <div class="instagram-title">

              {% if banner.file_url != blank %}
                <figure class="image -square">
                  <img class="lazy" loading="lazy" data-src="{{ banner.file_url | resize: '64x' }}" alt="{{ banner.title }}">
                </figure>
              {% else %}
                <svg class="icon"><use xlink:href="#icon-instagram"/></svg>
              {% endif %}

              <h2 class="title">
                {{ section_title }}
              </h2>
            </div>

          {% endif %}

          {% if banner.url != blank %}
            <a class="button-default" aria-label="Visitar o perfil da loja no instagram" target="_blank" href="{{ banner.url }}">
              {{ button_text }}
            </a>
          {% endif %}

        </div>
      {% endif %}
      
    {% endfor %}

    <div class="posts">
      {{ html_instagram_posts }}
    </div>
    
  </section>
{% endif %}
